﻿using Infragistics.Controls.Schedules;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamScheduleApptTooltipCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            SampleDataItem SDI1 = new SampleDataItem(){Name="Andrew", ID=777};
            SampleDataItem SDI2 = new SampleDataItem(){ Name="Jen", ID=528};

            ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
            Resource res = new Resource() { Id = "own1", Name = "Calendar 1" };
            resources.Add(res);

            ObservableCollection<ResourceCalendar> calendars = new ObservableCollection<ResourceCalendar>();
            ResourceCalendar resCal = new ResourceCalendar()
            {
                Id = "cal1",
                OwningResourceId = "own1"
            };
            calendars.Add(resCal);

            ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();
            CustomAppointment app1 = new CustomAppointment()
            {
                Id = "t1",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "Appointment 1",
                Description = "Appointment 1",
                Start = DateTime.Today.AddHours(9).AddMinutes(12).ToUniversalTime(),
                End = DateTime.Today.AddHours(11).AddMinutes(42).ToUniversalTime(),                
                SettableDataItem = SDI1
            };

            appointments.Add(app1);

            Appointment app2 = new Appointment()
            {
                Id = "t2",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "Appointment 2",
                Description = "Appointment 2",                
                Start = DateTime.Today.AddHours(10).AddMinutes(12).ToUniversalTime(),
                End = DateTime.Today.AddHours(11).AddMinutes(42).ToUniversalTime(),
                DataItem = SDI2
            };

            appointments.Add(app2);

            ListScheduleDataConnector dataConnector = new ListScheduleDataConnector();
            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments;

            XamScheduleDataManager dataManager = new XamScheduleDataManager();
            dataManager.DataConnector = dataConnector;
            CalendarGroupCollection calGroups = dataManager.CalendarGroups;
            CalendarGroup calGroup = new CalendarGroup();
            calGroup.InitialCalendarIds = "own1[cal1]";
            calGroups.Add(calGroup);
        
            ScheduleView1.DataManager = dataManager;
       
        }       
    }

    public class SampleDataItem
    {
        public string Name { get; set; }
        public int ID { get; set; }
    }
}
